/*
** JabberX (Jabber Client)
** Copyright (c) 1999-2001 Gurer Ozen <palpa@jabber.org>
**
** This code is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License.
**
** main entry point
*/

#include <locale.h>
#include "common.h"
#include <math.h>
#include <time.h>

int main(int argc, char *argv[])
{
	setlocale(LC_ALL, "");

        srand(time(0));

	j_setup();
	prf_setup(argc, argv);

	pl_setup();

	if(!prf.user)
	{
		fprintf(stderr, "error: username required!\n");
		return 1;
	}

	if(!prf.pass)
	{
		fprintf(stderr, "error: password required!\n");
		return 1;
	}


	ui_run();


	pl_cleanup();

	return 0;
}
